.\"
.\" $FreeBSD: src/share/man/man4/man4.i386/qcam.4,v 1.4.4.4 1999/09/05 11:27:02 peter Exp $
.\"
.Dd Feburary 1, 1996
.Dt QCAM 4 i386
.Os FreeBSD
.Sh NAME
.Nm qcam
.Nd Connectix QuickCam(TM) parallel port camera driver
.Sh SYNOPSIS
.Cd device qcam0 at isa? at "IO_LPT1" conflicts flags 0x0001
.Sh DESCRIPTION
The
.Nm qcam
driver provides support for a black and white Connectix
.Tn QuickCam
camera.  It allows one to utilize all known modes, and may support
as many cameras as there are parallel ports available.
.Pp
When the
.Tn parallel\ ports
are probed during boot, the port will be scanned for the presence
of a camera.
.Sh KERNEL CONFIGURATION
The
.Nm
driver can share the same port with the lpt driver, however you should
configure the lpt driver for polled operation using the
.Xr lptcontrol 8
program if you would like to be able to swap the
.Tn QuickCam
and printer without rebooting.  The
.Nm
driver itself does not rely on and will not conflict with the lpt
driver.

The auto-detection code for the camera is notoriously flakey at
times.  Until this is resolved, it may be overridden to force the
driver to always believe a
.Nm qcam
is attached by adding "flags 0x1" to your kernel configuration line.
.Sh IOCTLS
The following 
.Xr ioctl 2
calls apply to 
.Tn QuickCam
devices.
They are defined in the header file
.Aq Pa qcam.h .
.Pp
.Bl -tag -width QC_GET
.It Dv QC_GET
Read, from the kernel, the current configuration and status
information about camera.
.It Dv QC_SET
Configure the camera for various operating modes.  Image size,
resolution, zoom, and luminosity controls are available.
.Sh NOTES
If the camera is not found at boot time,  the
.Nm
driver will not be available for use.
.Sh FILES
.Bl -tag -width /dev/qcamX -compact
.It Pa /dev/qcam Ns Ar u
raw mode
.Tn QuickCam
camera unit
.Ar u ,
accessed as a read-only character device
.El
.Sh DIAGNOSTICS
None.
.Sh SEE ALSO
.Xr qcamcontrol 1
.Xr lptcontrol 8
.br
The QuickCam reverse engineering project, http://www.crynwr.com/qcpc/
.Sh HISTORY
The
.Nm
driver is new to
.Tn FreeBSD.
.Sh BUGS
The driver spin-waits in the kernel, which means on large transfers,
the system will be chewing down a lot of time.  Doing full motion video
at 320x240 is not reccomended until this is fixed.
.Pp
The driver's auto-detection code for finding a camera on a parallel port
is not reliable on all hardware.  See the note above for bypass information.
.Pp
The driver does not support Color
.Tn QuickCam
devices.
.Sh AUTHOR
The
.Nm
driver was written by 
.An Paul Traina
borrowing heavily
from code written by Thomas Davis, Scott Laird, Paul Chinn, and additional
work done by Russel Nelson.
.Sh TRADEMARK
QuickCam is a registered trademark of Connectix Inc.
